import {AppBar, Box, Toolbar, Typography, Button, IconButton} from '@mui/material';
import MenuIcon from '@mui/icons-material/Menu';
import {NavLink} from "react-router-dom";
import {MAIN, REGISTER} from "../../../constants/routes";

const AppToolbar = () => {
    return (
        <Box sx={{ flexGrow: 1 }}>
            <AppBar position="static">
                <Toolbar>
                    <IconButton
                        size="large"
                        edge="start"
                        color="inherit"
                        aria-label="menu"
                        sx={{ mr: 2 }}
                    >
                        <MenuIcon />
                    </IconButton>
                    <Typography variant="h6" component="div" sx={{ flexGrow: 1 }}>
                        Shop
                    </Typography>
                    <Button color="inherit" component={NavLink} to={MAIN}>Home</Button>
                    <Button color="inherit" component={NavLink} to={REGISTER}>Sign up</Button>
                </Toolbar>
            </AppBar>
        </Box>
    );
};

export default AppToolbar;
