import {createSlice} from "@reduxjs/toolkit";
import {registerUser} from "../actions/usersActions";

const initialState = {
    error: null,
    loading: false
};

const usersSlice = createSlice({
    name: 'users',
    initialState,
    reducers: {
        setError: (state, action) => {
            state.error = action.payload;
        }
    },
    extraReducers: builder => {
        builder
            .addCase(
                registerUser.pending,
                state => {
                    state.error = null;
                    state.loading = true;
                }
            )
            .addCase(
                registerUser.rejected,
                state => {
                    state.loading = false;
                }
            )
            .addCase(
                registerUser.fulfilled,
                state => {
                    state.loading = false;
                }
            );
    }
});

export const {setError} = usersSlice.actions;
export default usersSlice.reducer;
